All Catalogues
List Source of Wealth
Retrieve a list of available source of wealth options
GET
/
v1
/
source-of-wealth
List Source of Wealth
curl --request GET \
--url https://sandbox.api.fin.com/v1/source-of-wealth \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/source-of-wealth';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/source-of-wealth")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/source-of-wealth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/source-of-wealth"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 7
},
"source_of_wealth": [
{
"id": 1,
"title": "Business dividends or profits"
},
{
"id": 2,
"title": "Investment income"
},
{
"id": 3,
"title": "Real estate"
},
{
"id": 4,
"title": "Inheritance"
},
{
"id": 5,
"title": "Salary"
},
{
"id": 6,
"title": "Sale of business"
},
{
"id": 7,
"title": "Other"
}
]
}
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
Number of items to return per page
Required range:
1 <= x <= 512The page number to retrieve
Required range:
x >= 1Filter source of wealth by type
Available options:
INDIVIDUAL, BUSINESS Response
List of source of wealth retrieved successfully
Show child attributes
Show child attributes
⌘I
List Source of Wealth
curl --request GET \
--url https://sandbox.api.fin.com/v1/source-of-wealth \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/source-of-wealth';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/source-of-wealth")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/source-of-wealth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/source-of-wealth"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 7
},
"source_of_wealth": [
{
"id": 1,
"title": "Business dividends or profits"
},
{
"id": 2,
"title": "Investment income"
},
{
"id": 3,
"title": "Real estate"
},
{
"id": 4,
"title": "Inheritance"
},
{
"id": 5,
"title": "Salary"
},
{
"id": 6,
"title": "Sale of business"
},
{
"id": 7,
"title": "Other"
}
]
}
}{
"message": "Authentication failed"
}